<%-- 
    Document   : exportarUsuarioDocente
    Created on : 05/12/2014, 08:59:17 AM
    Author     : sistem16user
--%>

<%@page import="pe.siso.horario.Services.ZonaServices"%>
<%@page import="pe.siso.horario.Services.ZonaSedeServices"%>
<%@page import="pe.siso.horario.Beans.ZonaSede"%>
<%@page import="pe.siso.horario.Beans.Zona"%>
<%@page import="pe.siso.horario.Beans.Usuario"%>
<%@page import="java.util.Calendar"%>
<%@page import="java.util.ArrayList"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%      
        ArrayList<Zona> listaZonas = null;
     
        ZonaServices servicios2 = new ZonaServices(); 
        listaZonas = servicios2.listarZonasActivas();



%>

<!DOCTYPE html>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>JSP Page</title>
    </head>
    <body>
        <%
        
            HttpSession session_actual = request.getSession(true);
            Usuario usuario=(Usuario)session_actual.getAttribute("usuario");
            
            response.setContentType("application/vnd.ms-excel; ");
            response.setHeader("Content-Disposition","attachment; filename=ZonasPorSede.xls");
            
            String border="style='border:solid 0.5pt #000000;vertical-align:middle;'";
            String centrado="style='vertical-align:middle;' ";
            String borderColor="style='border:solid 0.5pt #000000; vertical-align:middle; background-color:#B5E0F5;'";
            String borderColorTitulo="style='border:solid 0.5pt #000000; vertical-align:middle; background-color:#006699; color:#FFFFFF;'";
            String estilo = "";
            
            Calendar cal1 = Calendar.getInstance();
           
            int dia = cal1.get(Calendar.DATE);
            int mes = cal1.get(Calendar.MONTH)+1;
            int hora = cal1.get(Calendar.HOUR_OF_DAY);
            int minuto = cal1.get(Calendar.MINUTE);
            int segundo = cal1.get(Calendar.SECOND);
            String diaAc = "";
            String mesAc = "";
            String hrAc = "";
            String minAc = "";
            String secAc = "";

            int horaAc = 0;
            String perDia = "";

            if(dia<10){ diaAc = "0"+dia; }else{ diaAc = ""+dia;}

            if(mes<10){ mesAc = "0"+mes; }else{ mesAc = ""+mes; }

            if(minuto<10){ minAc = "0"+minuto; }else{ minAc = ""+minuto; }

            if(segundo<10){ secAc = "0"+segundo; }else{ secAc = ""+segundo; }

            if(hora<12){ 
             perDia="am."; 
             if(hora<10 && hora>0){
                 hrAc="0"+hora;
                 }else if(hora==0){
                     hrAc="12";
                 }else{
                     hrAc=""+hora; 
                 }  
             }else{
                 if(hora==12){
                     hrAc="12";
                 }else{
                     horaAc=hora-12;
                     if(horaAc<10){
                         hrAc="0"+horaAc;
                     }else{
                         hrAc = ""+horaAc;
                     }
                 }
                 perDia="pm.";
            }
           
        %>
       <table  cellpadding= '0' cellspacing= '0'>
            <tr>
                <td <%=centrado%> colspan='4' align='center'><h3>LISTA DE SEDES POR ZONA</h3></td>
            </tr> 
            <tr>
               <td colspan='4' height='10'></td>
            </tr> 
            <tr>
               <td colspan='2' ></td>
               <td colspan='2' align='right'>SACO OLIVEROS - SISTEMAS</td>
            </tr> 
            <tr>
               <td colspan='2' >FUENTE: SISTEMA DE HORARIOS</td>
               <td colspan='2' align='right'>RESPONSABLE: <%=usuario!=null?usuario.getNombreTipoUsuario():""%></td>
            </tr> 
            <tr>
               <td colspan='4' align='right'>ACTUALIZACIÓN: <%=diaAc+"-"+mesAc+"-"+cal1.get(Calendar.YEAR)+" "+hrAc+":"+minAc+":"+secAc+" "+perDia%></td>
            </tr> 
        <%
            for(int i=0; i<listaZonas.size();i++){
        %> 
            <tr>
               <td colspan='4' height='30'></td>
            </tr>
            <tr>
                <td align='center' colspan='4'  style='vertical-align:middle;color:#2F75B5;'><h2><%=listaZonas.get(i).getNombreZona()%></h2></td>
            </tr>
            <tr>
               <td colspan='4' height='20'></td>
            </tr>
            <tr>
                <td <%=borderColorTitulo%> width="50"  align='center'>N°</td>                                        
                <td <%=borderColorTitulo%> colspan='3' width="400" align='center'>SEDE</td>
            </tr>
            
        <% 
                    ArrayList<ZonaSede> lista = null;
                    ZonaSedeServices servicio = new ZonaSedeServices();
                    String codigoZona = listaZonas.get(i).getCodigoZona();
                    lista = servicio.listarSedesZonas(codigoZona);
                    int cont=1;
                    for(int a=0; a<lista.size(); a++){
                        if(cont%2==0){ 
                            estilo=borderColor; 
                        }else{
                            estilo=border; 
                        }
        %> 
            <tr>
                <td <%=estilo%> align='center'><%=cont%></td>
                <td <%=estilo%> colspan='3' ><%=lista.get(a).getNombreSede()%></td>
            </tr>
            
        <%                 
                       cont++; 
                    }  
                    
                    if(cont==1){
        %>
            <tr>
                <td  colspan='4' align='center' <%=border%>><b style="color:red;">No hay sedes asignadas a esta zona</b></td>
            </tr>
        <%            
                    }
            }
        
        %>
      
             
        </table>
    
    
    </body>
    
</html>
